List service plans
curl --request GET \
--url https://api.omnistrate.cloud/2022-09-01-00/service-offering \
--header 'Cookie: <cookie>'import requests
url = "https://api.omnistrate.cloud/2022-09-01-00/service-offering"
headers = {"Cookie": "<cookie>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Cookie: '<cookie>'}};
fetch('https://api.omnistrate.cloud/2022-09-01-00/service-offering', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"serviceIds": [
"<string>"
],
"services": [
{
"serviceId": "<string>",
"serviceName": "<string>",
"serviceDescription": "<string>",
"serviceProviderId": "<string>",
"serviceURLKey": "<string>",
"isDeprecated": true,
"createdAt": "<string>",
"offerings": [
{}
]
}
],
"nextPageToken": "<string>"
}Account management
List service plans
List the FalkorDB service plans you can subscribe to.
GET
/
2022-09-01-00
/
service-offering
List service plans
Lists the service offerings available to you. Each offering describes a service plan (product tier) that you can subscribe to. Use this endpoint to look up the
serviceId and productTierId values required by Create subscription.
Authorization
Query parameters
string
Environment type to filter by, for example
PROD.string
ID of the organization that owns the service.
string
Visibility of the service offering to filter by.
Response
string[]
required
IDs of the services available to you.
object[]
The service offerings.
Show service properties
Show service properties
string
required
ID of the service. Pass this as
serviceId when subscribing.string
required
Name of the service.
string
required
Description of the service.
string
required
ID of the service provider.
string
required
URL key of the service, used in resource instance paths.
boolean
required
Whether the service offering is deprecated.
string
required
Time the service was created.
object[]
required
The plans offered by this service. Each entry includes
productTierID, productTierName, productTierType, productTierURLKey, productTierVersion, serviceModelType, cloudProviders, maxNumberOfInstances, and AutoApproveSubscription.string
Token to use to fetch the next page of results.
Errors
See Error for the error response shape.⌘I